Subject: RE: RFC 2461- issue list

From: Soliman Hesham <[email-masked]>
Date: Fri, 24 Oct 2003 07:53:36 -0400

Vijay, 

thanks for raising this. A question below.

 > here is another issue.
 > 
 > when a router includes a Prefix Information Option (section
 > 4.6.2 of RFC 2461) in the Router Advertisement, and if the
 > router has an address configured from that prefix, I suggest
 > including the router's address in the 'Prefix' field. not
 > just the prefix. the Prefix Length field will still indicate
 > the prefix length and hosts should be able to figure out
 > the prefix.
 > 
 > we have had problems when two different interfaces of a
 > router use the same link local address. some host
 > implementations just check the source address and assume that
 > the current router is still reachable even when they move
 > between links attached to the two interfaces on the router.
 > 
 > we came across this issue at Connectathon 2002. the following
 > URL has some discussion on it
 > 
 > http://www.piuha.net/~jarkko/publications/mipv6/issues/issue278.txt
 > 
 > Mobile IPv6 already defines a Modified Prefix Information
 > option where the router's address is present in the prefix
 > field. I would like to see it in the Neighbor Discovery
 > specification itself. having the global unicast address in
 > the prefix field will help in movement detection.

=> This sounds like an issue that is currently solved 
by using the R bit specified in MIPv6, right? 
If so, and since this issue is specific to MNs, do you
think it needs to be considered again in this work?
In other words, is your suggestion that we add the support
for the R bit in the revised spec?

Hesham

 > 
 > Soliman Hesham wrote:
 > > Folks,
 > > 
 > > This is what I found initially. Please let us know if 
 > > there are any issues that should be added to the list.
 > > 
 > > Please note that some of these issues might not necessarily
 > > be addressed in this revision if they require non-backward 
 > > compatible changes. The main requirement here is to be 
 > > backward compatible with our changes. 
 > > 
 > > If you wish to express opinions, questions or suggestions  
 > > please start a separate thread with the issue's header
 > > in the subject field. 
 > > 
 > > Thanks, 
 > > Hesham
 > > 
 > > Issue 1: Mixed Host/Router behaviour
 > >          by Pekka Savola, May 2001
 > >          http://www.wcug.wwu.edu/lists/ipng/200105/msg00068.html
 > >          Erik Nordmark made a comment that the text could 
 > be clearer:
 > >          http://www.wcug.wwu.edu/lists/ipng/200105/msg00077.html
 > > 
 > > 
 > > Issue 2: Check against the case of preferred lifetime > 
 > valid lifetime
 > >          by jinmei, Dec 2002
 > >          http://www.atm.tut.fi/list-archive/ipng/msg07250.html
 > > 
 > >          This thread contained a possible updates on the 
 > router behavior of
 > >          sending router advertisements:
 > >          http://www.atm.tut.fi/list-archive/ipng/msg07402.html
 > > 
 > > Issue 3: On-link assumptions in 2461 considered harmful. 
 > >          This issue was raised by Alain and documented in:
 > >          draft-ietf-v6ops-onlinkassumption-00.txt
 > >          draft-ietf-v6ops-v6onbydefault-00.txt
 > > Also see related issue in section 2.4 of:
 > > http://www.ctie.monash.edu.au/ipv6/draft-jinchoi-ipv6-cRA-00.txt
 > > 
 > > Issue 4: Advertisement lifetime issues raised by Pete Barany
 > > 
 > > Issue 5: Clarifying the use of the M and O flags
 > >          (raised by Rolf and others during V6ops meeting 
 > >           in San Francisco)
 > > 
 > > Issue 6: The prefix length field in the prefix option
 > >          and its consistency with the fixed prefix size 
 > >          (64 bits) in RFC 3513. 
 > >          
 > > 
 > > SEND issues:
 > > 
 > > Issue 7: All the security discussions (e.g. assuming that AH
 > >          or ESP can be added to the ND messages) will need to
 > >          be put in the context of SEND. 
 > > 
 > > Issue 8: Security considerations section needs to consider issues
 > >          in: draft-ietf-send-psreq-04
 > > 
 > > Issue 9: The chicken and egg problem for ND security using IKE
 > >          as specified in: 
 > >          draft-arkko-icmpv6-ike-effects-02 
 > > 
 > >          and manual SAs issues addressed in:
 > >          draft-arkko-manual-icmpv6-sas-02
 > >          
 > > MIP issues:
 > > 
 > > Issue 10: Reducing MIN_DELAY_BETWEEN_RAS from 3 seconds 
 > >          to 50 ms as specified in MIPv6 (many emails on the 
 > >          MIP mailing list in October and November 2002)
 > > 
 > > Issue 11: Eliminating the random delays required before sending
 > >           an RS when a mobile node does a handover to a new 
 > >           link. The random delay imposed by 2461 significantly
 > >           increases the movement detection time for mobile nodes
 > > 
 > > Issue 12: Eliminating the random delays required in 2461 when
 > >           a router sends a solicited RA. See :
 > >           draft-mkhalil-ipv6-fastra-04.txt
 > > 
 > > Issue 13: Impacts of the omission of a prefix option. 
 > >           section 2.2 in :
 > >         
http://www.ctie.monash.edu.au/ipv6/draft-jinchoi-ipv6-cRA-00.txt
>           describes the impacts of omitting a prefix option from
>           an RA on movement detection for mobile nodes. RFC 2461 
>           does not require options to be present in every RA.
> 
> Issue 14: Link ids required to aid with movement detection.
>           see:
> http://www.ietf.org/internet-drafts/draft-pentland-mobileip-linkid-00.txt
> 
> Finally, I recall (but not clearly) some discussions 
> on the clarity of 2461 when it comes to multihomed hosts. But
> I haven't managed to find the relevant thread(s) in the 
> archive. So if you have an issue to add please let me know. 
> 
> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 24 Oct 2003 10:17:47 -0700

> for the R bit in the revised spec?

no R bit. always include the global address configured from the
prefix instead of just the prefix. the prefix can always be
obtained using the prefix length field.

it is probably more useful to mobile nodes. but not just MIPv6.
it is useful whenever a node needs the global address of its
access router.

Vijay

---

From: Francis Dupont <[email-masked]>
Date: Sun, 26 Oct 2003 02:18:55 +0200

> I agree, the R bit or an equivalent (which is compatible because
the zero interface ID is reserved for anycast) is very useful for
point-to-point links where many softwares like to know the address
of the peer. If we include something from Mobile IPv6 & co, the R
bit feature is the one to consider.

Regards

[email-masked]

---

From: Erik Nordmark <[email-masked]>
Date: Mon, 27 Oct 2003 13:10:37 +0100 (CET)

> obtained using the prefix length field.

Two issues:
 - The router might not have an address in every prefix it advertises.
   Should a host still that the prefix field is indeed a useful
   address for the router in that case?
 - Existing routers do not put their address in the prefix option even
   when the router has an address in that prefix.
   Should a host still that the prefix field is indeed a useful
   address for the router in that case?

If we want to add this to 2461bis I think we must add the "R" bit as well.

  Erik

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 27 Oct 2003 08:02:00 -0800

>    address for the router in that case?

it is easy for a host to distinguish between a 128 bit address and
a prefix.

> If we want to add this to 2461bis I think we must add the "R" bit as well.

either way is fine with me. I was trying to see if it can be done
without using a bit.

Vijay